Bug 14319 - Title is 'HTML5 diffs from HTML4', but doc points to 'HTML Living Standard'
Title is 'HTML5 diffs from HTML4', but doc points to 'HTML Living Standard'
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 differences from HTML4
unspecified
PC All
: P3 normal
: ---
Assigned To: Simon Pieters
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-28 01:09 UTC by Leif Halvard Silli
Modified: 2012-03-02 12:25 UTC (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leif Halvard Silli 2011-09-28 01:09:42 UTC
The Abstract section says:

]] When in doubt, always check the HTML5 specification itself. [HTML] [[

And then [HTML] points to the references sections: http://dev.w3.org/html5/html4-differences/#refsHTML

Which in turn says:  "HTML, I. Hickson. WHATWG." with the link 'http://www.whatwg.org/html'
Comment 1 Simon Pieters 2012-02-29 15:15:16 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the tracker issue; or you may create a tracker issue
yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: http://dev.w3.org/cvsweb/html5/html4-differences/Overview.src.html.diff?r1=1.141;r2=1.142
Rationale: Concurred with reporter's comments
Comment 2 steve faulkner 2012-02-29 18:02:10 UTC
Hi Simon

I am now confused, is the 'HTML5 differences from HTML4' [1] document about differences between the HTML5 spec and HTML 4 spec or between HTML4 and the HTML living standard?

If it is the former then it should reference the HTML5 spec and not the HTML living standard.
If it is the latter then the text needs to be changed so its is an accurate reflection of the document. There are 55 instances of  "HTML5" Suggest that all of these should be changed to "HTML living standard"

for example:

change "HTML5 differences from HTML4"  to "HTML living standard differences from HTML4"

change "HTML5 defines the fifth major revision of the core language of the World Wide Web, HTML. "HTML5 differences from HTML4" describes the differences between HTML4 and HTML5 and provides some of the rationale for the changes. This document may not provide accurate information as the HTML5 specification is still actively in development. When in doubt, always check the HTML5 specification itself. [HTML]"


"HTML the living standard defines the core language of the World Wide Web, HTML. "HTML living standard differences from HTML4" describes the differences between HTML4 and HTML the living standard and provides some of the rationale for the changes. This document may not provide accurate information as the HTML living standard is permanently in development. When in doubt, always check the HTML living standard  itself. [HTML]"


[1] http://dev.w3.org/html5/html4-differences/
Comment 3 Leif Halvard Silli 2012-02-29 19:57:02 UTC
I agree with Steve: My intention with filing this bug, was that the link should point to HTML5 - and not to the 'living standard'.

If one wants to evangelize the usefullness of looking at 'html living standard', then it should happen somewhere else.
Comment 4 Sam Ruby 2012-02-29 20:43:06 UTC
Would it be possible to generate a W3C HTML5 differences document from this same source?  Or do we need to seek a separate editor to produce such a document?
Comment 5 Sam Ruby 2012-02-29 23:31:58 UTC
Relevant input from Maciej:

http://lists.w3.org/Archives/Public/public-html/2012Feb/0515.html
Comment 6 Simon Pieters 2012-03-01 06:23:51 UTC
In my edits so far, I have tried to reflect the state of HTML5 -- not HTML. For instance, I have intentionally omitted features that are not present in HTML5 (like ping=""), changes to HTML that don't affect HTML5 (like the introduction of <track> which was not present in HTML5 but was in HTML at some point), changes to sections in HTML that are separate documents at W3C (like WebSocket). However, it seems I haven't been fully consistent here and have described a changes to the 2d context.

To resolve confusion, I intend to describe changes for both HTML5 and HTML. It already does this in some places (search for "WHATWG"). I might need to go through the changelog and add in things that were omitted because they did not affect HTML5. Since this is a bit of work, I might not be able to have it done for the upcoming publication, though.

Currently it's referencing only HTML simply because Anolis does not support referencing HTML5 yet. I've filed a bug.

https://bitbucket.org/ms2ger/specification-data/issue/1/add-spec-reference-for-w3c-html5
Comment 7 Maciej Stachowiak 2012-03-02 02:53:43 UTC
(In reply to comment #6)

> Currently it's referencing only HTML simply because Anolis does not support
> referencing HTML5 yet. I've filed a bug.
> 
> https://bitbucket.org/ms2ger/specification-data/issue/1/add-spec-reference-for-w3c-html5

Looks like the Anolis fix is in:

https://bitbucket.org/ms2ger/specification-data/changeset/0550d6137a61
Comment 8 Simon Pieters 2012-03-02 12:25:50 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: http://dev.w3.org/cvsweb/html5/html4-differences/Overview.src.html.diff?r1=1.143;r2=1.144
Rationale: see comment 6